# Example Commands
```
# gc-antmaze-large (IQL + AWR)
python main.py --run_group EXP --p_currgoal 0.2 --p_trajgoal 0.5 --p_randomgoal 0.3 --expectile 0.9 --value_algo iql --gc_negative 1 --value_exp 0 --use_log_q 0 --actor_loss_type awr --value_only 0 --temperature 0,1,3,10 --const_std 1 --eval_temperature 0 --seed 0 --env_name antmaze-large-diverse-v2 --agent_name trl --algo_name trl --train_steps 1000000 --eval_interval 100000 --save_interval 1000000 --num_video_episodes 0 --policy_p_randomgoal 0 --discount 0.99 --value_hidden_dim 512 --value_num_layers 3 --actor_hidden_dim 512 --actor_num_layers 3 --batch_size 1024 --goal_conditioned 1 --dataset_path ../D4RL/antmaze02.hdf5 --value_data_ratio 1.0 --actor_data_ratio 1.0
# gc-antmaze-large (IQL + DDPG+BC)
python main.py --run_group EXP --p_currgoal 0.2 --p_trajgoal 0.5 --p_randomgoal 0.3 --expectile 0.9 --value_algo iql --gc_negative 1 --value_exp 0 --use_log_q 0 --actor_loss_type ddpg --value_only 0 --temperature 0.1,0.3,1,3 --ddpg_tanh 0 --seed 0 --env_name antmaze-large-diverse-v2 --agent_name trl --algo_name trl --train_steps 1000000 --eval_interval 100000 --save_interval 1000000 --num_video_episodes 0 --policy_p_randomgoal 0 --discount 0.99 --value_hidden_dim 512 --value_num_layers 3 --actor_hidden_dim 512 --actor_num_layers 3 --batch_size 1024 --const_std 1 --goal_conditioned 1 --dataset_path ../D4RL/antmaze02.hdf5 --value_data_ratio 1.0 --actor_data_ratio 1.0
# gc-antmaze-large (IQL + SfBC)
python main.py --run_group EXP --p_currgoal 0.2 --p_trajgoal 0.5 --p_randomgoal 0.3 --expectile 0.9 --value_algo iql --gc_negative 1 --value_exp 0 --use_log_q 0 --actor_loss_type awr --value_only 0 --temperature 0 --const_std 0 --eval_temperature 1 --sfbc_samples 1,16,64 --seed 0 --env_name antmaze-large-diverse-v2 --agent_name trl --algo_name trl --train_steps 1000000 --eval_interval 100000 --save_interval 1000000 --num_video_episodes 0 --policy_p_randomgoal 0 --discount 0.99 --value_hidden_dim 512 --value_num_layers 3 --actor_hidden_dim 512 --actor_num_layers 3 --batch_size 1024 --goal_conditioned 1 --dataset_path ../D4RL/antmaze02.hdf5 --value_data_ratio 1.0 --actor_data_ratio 1.0
# gc-antmaze-large (CRL + AWR)
python main.py --run_group EXP --p_currgoal 0.0 --p_trajgoal 1.0 --p_randomgoal 0.0 --value_algo crl --gc_negative 0 --value_type bilinear --value_exp 1 --use_log_q 1 --actor_loss_type awr --value_only 0 --temperature 0,10,30,100 --const_std 1 --eval_temperature 0 --seed 0 --env_name antmaze-large-diverse-v2 --agent_name trl --algo_name trl --train_steps 1000000 --eval_interval 100000 --save_interval 1000000 --num_video_episodes 0 --policy_p_randomgoal 0 --discount 0.99 --value_hidden_dim 512 --value_num_layers 3 --actor_hidden_dim 512 --actor_num_layers 3 --batch_size 1024 --goal_conditioned 1 --dataset_path ../D4RL/antmaze02.hdf5 --value_data_ratio 1.0 --actor_data_ratio 1.0
# exorl-walker (IQL + DDPG+BC)
python main.py --run_group EXP --p_currgoal 0.2 --p_trajgoal 0.5 --p_randomgoal 0.3 --expectile 0.9 --value_algo iql --gc_negative 1 --value_exp 0 --use_log_q 0 --actor_loss_type ddpg --value_only 0 --temperature 0,0.01,0.1,1 --const_std 1 --ddpg_tanh 0 --seed 0 --env_name dmc_walker_run --agent_name trl --algo_name trl --train_steps 1000000 --eval_interval 100000 --save_interval 1000000 --num_video_episodes 0 --policy_p_randomgoal 0 --discount 0.99 --value_hidden_dim 512 --value_num_layers 3 --actor_hidden_dim 512 --actor_num_layers 3 --batch_size 1024 --goal_conditioned 0 --value_data_ratio 1.0 --actor_data_ratio 1.0 --task_name run
# exorl-walker (IQL + SARSA)
python main.py --run_group EXP --p_currgoal 0.2 --p_trajgoal 0.5 --p_randomgoal 0.3 --expectile 0.5 --value_algo iql --gc_negative 1 --value_exp 0 --use_log_q 0 --actor_loss_type ddpg --value_only 0 --temperature 0,0.01,0.1,1 --const_std 1 --ddpg_tanh 0 --seed 0 --env_name dmc_walker_run --agent_name trl --algo_name trl --train_steps 1000000 --eval_interval 100000 --save_interval 1000000 --num_video_episodes 0 --policy_p_randomgoal 0 --discount 0.99 --value_hidden_dim 512 --value_num_layers 3 --actor_hidden_dim 512 --actor_num_layers 3 --batch_size 1024 --goal_conditioned 0 --value_data_ratio 1.0 --actor_data_ratio 1.0 --task_name run
```

# License
MIT